%define	name	libraw1394
%define	version	1.2.1
%define	release	%mkrel 1

%define	major	8
%define	libname	%mklibname raw1394_ %{major}
%define	libnamedev %{libname}-devel

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
Source0:	http://download.sourceforge.net/libraw1394/%{name}-%{version}-svn160.tar.bz2
# required for freebob support (austin)
Patch0:		libraw1394-svn160-freebob_iso_again.patch.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.linux1394.org/
Summary:	FireWire interface
Summary(pt_BR):	FireWire interface
Summary(es):	FireWire interface
Requires(post): coreutils
Requires(post): ldconfig
Requires(postun): ldconfig

%description
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

The reason for making a library the interface to the kernel is to avoid
a program dependency on the kernel version, which would hinder development and
optimization of raw1394.  If development changed the protocol and made it
incompatible with previous versions only the libraw1394 has to be upgraded to
match the kernel version (instead of all applications).

%package -n	%{name}-utils
Group:		Communications
Summary:	Some small Firewire utilities

%description -n	%{name}-utils
This package contains a few utilities to send and receive raw data over
Firewire (ieee1394).

%package -n	%{libname}
Group:		System/Libraries
Summary:	FireWire interface shared library

%description -n %{libname}
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

The reason for making a library the interface to the kernel is to avoid
a program dependency on the kernel version, which would hinder development and
optimization of raw1394.  If development changed the protocol and made it
incompatible with previous versions only the libraw1394 has to be upgraded to
match the kernel version (instead of all applications).

This package contains the shared library to run applications linked
with %{name}.

%package -n	%{libnamedev}
Summary:	Development and include files for libraw1394
Summary(pt_BR):	Arquivos de desenvolvimento e cabe?alhos para o libraw1394
Summary(es):	Development and include files for libraw1394
Group:		Development/C
Group(pt_BR):	Desenvolvimento
Group(es):	Desarrollo
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libnamedev}
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

This archive contains the header-files for libraw1394 development.


%package -n	%{libname}-static-devel
Summary:	Development components for libraw1394
Summary(pt_BR):	Componentes est?ticos de desenvolvimento para o libraw1394
Summary(es):	Development components for libraw1394
Group:		Development/C
Group(pt_BR):	Desenvolvimento
Group(es):	Desarrollo
Requires:	%{libname}-devel = %{version}-%{release}

%description -n	%{libname}-static-devel
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

This archive contains the static libraries (.a) 


%prep
%setup -q -n %name
%patch0

%build
./autogen.sh
%configure2_5x
%make

%install
rm -rf %{buildroot}
%{makeinstall_std}

%post -n %libname
/sbin/ldconfig
if [ $1 -eq 1 -a ! -e /dev/raw1394 ] 
then 
mknod -m 600 /dev/raw1394 c 171 0
chown root.root /dev/raw1394
echo
echo "/dev/raw1394 created"
echo "It is owned by root with permissions 600.  You may want to fix"
echo "the group/permission to something appropriate for you."
echo "Note however that anyone who can open raw1394 can access all"
echo "devices on all connected 1394 buses unrestricted, including"
echo "harddisks and other probably sensitive devices."
echo
fi


%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %name-utils
%defattr(-,root,root)
%doc README AUTHORS
%{_bindir}/*
%{_mandir}/man*/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libraw1394.so.%{major}.*
%{_libdir}/libraw1394.so.%{major}

%files -n %{libnamedev}
%defattr(-,root,root)
%doc README NEWS INSTALL COPYING.LIB AUTHORS
%{_includedir}/libraw1394
%{_libdir}/libraw1394.so
%{_libdir}/libraw1394.la
%{_libdir}/pkgconfig/%{name}.pc

%files -n %{libname}-static-devel
%defattr(-,root,root)
%{_libdir}/libraw1394.a

%changelog
* Sat Jul 01 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.1-1mdv2007.0
- 1.2.1 final
- update url

* Wed Jan 11 2006 Austin Acton <austin@mandriva.org> 1.2.1-0.svn160.1mdk
- go to svn
- patch for freebob
- required for firewire audio devices

* Sat Nov 26 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.2.0-3mdk
- fix requires (#17422)

* Tue Sep 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.2.0-2mdk
- fix %%post

* Sat Apr 23 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-1mdk
- 1.2.0

* Mon Jan 31 2005 Austin Acton <austin@mandrake.org> 1.1.0-3mdk
- split binaries into utils package
- make multiple library packages cohabitable
- remove conflicts tag

* Mon Jan 31 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-2mdk
- Fix conflict with libraw1394_5

* Sat Jan 29 2005 Austin Acton <austin@mandrake.org> 1.1.0-1mdk
- 1.1.0
- configure 2.5

* Thu Jul 08 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.10.1-2mdk
- fix mklibnamification

* Thu Jun 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.10.1-1mdk
- 0.10.1
- really use %%mklibname
- drop P0 (fixed upstream)
- add new files
- cosmetics

* Thu Sep 04 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.0-4mdk
- mklibname

* Thu Jul 10 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.0-3mdk
- rebuild for new rpm

* Wed Jun 04 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.9.0-2mdk
- fix build with gcc-3.3 (Patch0)
- add missing file to devel package,
- fix unowned dir

* Wed Jul 17 2002 Götz Waschk <waschk@linux-mandrake.com> 0.9.0-1mdk
- mandrake adaption

* Mon Jun 04 2001 Harald Welte <laforge@gnumonks.org>
- redhat 7 compile...

* Mon Jun 04 2001 Harald Welte <laforge@conectiva.com>
- libraw1394=0.9.0-1cl
- updated to 0.9.0

* Thu Apr 05 2001 Harald Welte <laforge@conectiva.com>
- libraw1394-0.8.2-1cl
- initial conectiva RPM
- split devel package in devel / devel-static
- updated to 0.8.2

* Fri Jan 05 2001 Harald Welte <laforge@gnumonks.org>
- ported SPECfile to RedHat RPM
- libraw1394 0.8.1

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6-2mdk
- clean spec

* Mon Jul 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-1mdk
- initial spec
